{% import '@GaiaAdmin/Macro/buttons.html.twig' as buttons %}

{% set path = options.link.url|default(path(options.link.route|default(grid.requestConfiguration.getRouteName('update')), options.link.parameters|default({'id': data.id}))) %}

{% set message = action.label is empty ? 'sylius.ui.edit' :  action.label %}

{% set icon = action.icon|default('pencil') %}

{% set class = options.role is defined and is_granted(options.role, data) == false ? 'disabled' : '' %}

{{ buttons.default(path, message, null, icon, class) }}